ClarisDrawGraphInternal::ZoneZone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisDrawGraphInternal::ZoneZone Struct Referencefinal

Internal: structure to store a link to a zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::ZoneZone:

## Public Member Functions
| ZoneZone (Zone const &z, Type fileType)
| constructor More...
| ~ZoneZone () final
| destructor More...
bool | isANote () const
| return true if the zone is a note More...
bool | isLinked () const
| check if we need to send the frame is linked to another frmae More...
bool | addFrameName (MWAWGraphicStyle &style) const
| add the frame name if needed More...
void | print (std::ostream &o) const final
| print the zone More...
Type | getType () const final
| return the main type Zone More...
Type | getSubType () const final
| return the sub type Zone More...
int | getNumData () const final
| return the number of data to define this zone in the file More...
int | getZoneId () const final
| returns the id of the reference zone More...
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisDrawGraphInternal::Zone
| Zone ()
| constructor More...
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...

## Public Attributes
Type | m_subType
| the file type ( zone or zone2 ) More...
int | m_id
| the zoneId More...
int | m_subId
| the zoneSubId: can be page/column/frame linked number More...
int | m_frameId
| the frame id (for a linked frame) More...
int | m_frameSubId
| the frame sub id (for a linked frame) More...
bool | m_frameLast
| true if this is the last frame of a frame zone More...
int | m_transformationId
| the transformation id More...
int | m_wrappingSep
| the wrapping separator More...
int | m_flags [9]
| flag More...
Public Attributes inherited from ClarisDrawGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_flag
| the zone main flag More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Additional Inherited Members
Public Types inherited from ClarisDrawGraphInternal::Zone
enum | Type { T_Zone, T_Pict, T_Shape, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Connector }
| the list of types More...

## Detailed Description

Internal: structure to store a link to a zone of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ ZoneZone()

ClarisDrawGraphInternal::ZoneZone::ZoneZone | ( | Zone const & | z,
|  | Type | fileType
| ) |  |
| inline

constructor

## ◆ ~ZoneZone()

ClarisDrawGraphInternal::ZoneZone::~ZoneZone | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ addFrameName()

bool ClarisDrawGraphInternal::ZoneZone::addFrameName | ( | MWAWGraphicStyle & | style | ) | const
| inline

add the frame name if needed

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::ZoneZone::getChild | ( |  | ) | const
| inlinefinalvirtual

return a child corresponding to this zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getNumData()

int ClarisDrawGraphInternal::ZoneZone::getNumData | ( |  | ) | const
| inlinefinalvirtual

return the number of data to define this zone in the file

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getSubType()

Type ClarisDrawGraphInternal::ZoneZone::getSubType | ( |  | ) | const
| inlinefinalvirtual

return the sub type Zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getType()

Type ClarisDrawGraphInternal::ZoneZone::getType | ( |  | ) | const
| inlinefinalvirtual

return the main type Zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getZoneId()

int ClarisDrawGraphInternal::ZoneZone::getZoneId | ( |  | ) | const
| inlinefinalvirtual

returns the id of the reference zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ isANote()

bool ClarisDrawGraphInternal::ZoneZone::isANote | ( |  | ) | const
| inline

return true if the zone is a note

## ◆ isLinked()

bool ClarisDrawGraphInternal::ZoneZone::isLinked | ( |  | ) | const
| inline

check if we need to send the frame is linked to another frmae

Referenced by addFrameName().

## ◆ print()

void ClarisDrawGraphInternal::ZoneZone::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print the zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## Member Data Documentation

## ◆ m_flags

int ClarisDrawGraphInternal::ZoneZone::m_flags[9]

flag

Referenced by isANote(), print(), and ZoneZone().

## ◆ m_frameId

int ClarisDrawGraphInternal::ZoneZone::m_frameId

the frame id (for a linked frame)

Referenced by addFrameName(), and isLinked().

## ◆ m_frameLast

bool ClarisDrawGraphInternal::ZoneZone::m_frameLast

true if this is the last frame of a frame zone

Referenced by addFrameName().

## ◆ m_frameSubId

int ClarisDrawGraphInternal::ZoneZone::m_frameSubId

the frame sub id (for a linked frame)

Referenced by addFrameName(), and isLinked().

## ◆ m_id

int ClarisDrawGraphInternal::ZoneZone::m_id

the zoneId

Referenced by getChild(), getZoneId(), and print().

## ◆ m_subId

int ClarisDrawGraphInternal::ZoneZone::m_subId

the zoneSubId: can be page/column/frame linked number

Referenced by print().

## ◆ m_subType

Type ClarisDrawGraphInternal::ZoneZone::m_subType

the file type ( zone or zone2 )

Referenced by getSubType().

## ◆ m_transformationId

int ClarisDrawGraphInternal::ZoneZone::m_transformationId

the transformation id

Referenced by print().

## ◆ m_wrappingSep

int ClarisDrawGraphInternal::ZoneZone::m_wrappingSep

the wrapping separator

Referenced by print().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx